<?php

/**
 * Subclass for representing a row from the 'runner' table.
 *
 * 
 *
 * @package lib.model
 */ 
class Runner extends BaseRunner
{
  function __toString() { 
    return parent::getDescription();
  }
/*
  function setBornAt($date){
  	
    ereg( "([0-9]{1,2})/([0-9]{1,2})/([0-9]{2,4})", $date, $mydate);
    $final_date=$mydate[3]."-".$mydate[2]."-".$mydate[1];
    parent::setBornAt($final_date);
  }
  */

  function setCategory($v){
    $c = new Criteria();
    $c->add(CategoryPeer::START_AT, $this->getBornAt(), Criteria::LESS_EQUAL);
    $c->add(CategoryPeer::END_AT, $this->getBornAt(), Criteria::GREATER_EQUAL);
    $c->add(CategoryPeer::MALE, $this->getMale());
    $c->add(CategoryPeer::EVENT_ID, $this->getInscription()->getEventId());
    $c->add(CategoryPeer::NO_COMPETITIVE, $this->getNoCompetitive());
    $category = CategoryPeer::doSelect($c);
    parent::setCategory($category[0]);
    
  }
  
  function setSiguienteNumber($v){
    $dorsal1= $this->getCategory()->getCircuit()->getFirstNumber();
    $c = new Criteria();
    $criterion = $c->getNewCriterion(RunnerPeer::NUMBER, $this->getCategory()->getCircuit()->getFirstNumber(), Criteria::GREATER_EQUAL);
    $criterion->addAnd($c->getNewCriterion(RunnerPeer::NUMBER, $this->getCategory()->getCircuit()->getLastNumber(), Criteria::LESS_EQUAL));
    $c->add($criterion);
    $c->addDescendingOrderByColumn(RunnerPeer::NUMBER);
    $dorsal2 = RunnerPeer::doSelect($c);
    if(!isset($dorsal2[0])){
      $dorsal=$dorsal1;
    }
    else{
     $dorsal= max($dorsal1,$dorsal2[0]->getNumber()+1); 
    }
    parent::setNumber($dorsal);
  }

  function setPrice($v){
    $precio=$this->getCategory()->getPrice()->getAmount1();
    parent::setPrice($precio);
  }
}
