<?php



class FeedbackMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.FeedbackMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('feedback');
		$tMap->setPhpName('Feedback');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ID', 'Id', 'int', CreoleTypes::INTEGER, true, null);

		$tMap->addColumn('DESCRIPTION', 'Description', 'string', CreoleTypes::VARCHAR, false, 250);

		$tMap->addColumn('QUANTITY', 'Quantity', 'double', CreoleTypes::DOUBLE, false, null);

		$tMap->addForeignKey('UNIT_ID', 'UnitId', 'int', CreoleTypes::INTEGER, 'unit', 'ID', false, null);

		$tMap->addForeignKey('SESSION_ID', 'SessionId', 'int', CreoleTypes::INTEGER, 'session', 'ID', false, null);

	} 
} 