<?php


abstract class BaseRunner extends BaseObject  implements Persistent {


	
	protected static $peer;


	
	protected $id;


	
	protected $name;


	
	protected $surname;


	
	protected $nif;


	
	protected $email;


	
	protected $address;


	
	protected $postal_code;


	
	protected $city;


	
	protected $region;


	
	protected $country;


	
	protected $born_at;


	
	protected $male;


	
	protected $club;


	
	protected $size_id;


	
	protected $federated;


	
	protected $licence_number;


	
	protected $sport;


	
	protected $telephone;


	
	protected $no_competitive;


	
	protected $price;


	
	protected $inscription_id;


	
	protected $category_id;


	
	protected $number;


	
	protected $created_at;

	
	protected $aSize;

	
	protected $aInscription;

	
	protected $aCategory;

	
	protected $alreadyInSave = false;

	
	protected $alreadyInValidation = false;

	
	public function getId()
	{

		return $this->id;
	}

	
	public function getName()
	{

		return $this->name;
	}

	
	public function getSurname()
	{

		return $this->surname;
	}

	
	public function getNif()
	{

		return $this->nif;
	}

	
	public function getEmail()
	{

		return $this->email;
	}

	
	public function getAddress()
	{

		return $this->address;
	}

	
	public function getPostalCode()
	{

		return $this->postal_code;
	}

	
	public function getCity()
	{

		return $this->city;
	}

	
	public function getRegion()
	{

		return $this->region;
	}

	
	public function getCountry()
	{

		return $this->country;
	}

	
	public function getBornAt()
	{

		return $this->born_at;
	}

	
	public function getMale()
	{

		return $this->male;
	}

	
	public function getClub()
	{

		return $this->club;
	}

	
	public function getSizeId()
	{

		return $this->size_id;
	}

	
	public function getFederated()
	{

		return $this->federated;
	}

	
	public function getLicenceNumber()
	{

		return $this->licence_number;
	}

	
	public function getSport()
	{

		return $this->sport;
	}

	
	public function getTelephone()
	{

		return $this->telephone;
	}

	
	public function getNoCompetitive()
	{

		return $this->no_competitive;
	}

	
	public function getPrice()
	{

		return $this->price;
	}

	
	public function getInscriptionId()
	{

		return $this->inscription_id;
	}

	
	public function getCategoryId()
	{

		return $this->category_id;
	}

	
	public function getNumber()
	{

		return $this->number;
	}

	
	public function getCreatedAt($format = 'Y-m-d')
	{

		if ($this->created_at === null || $this->created_at === '') {
			return null;
		} elseif (!is_int($this->created_at)) {
						$ts = strtotime($this->created_at);
			if ($ts === -1 || $ts === false) { 				throw new PropelException("Unable to parse value of [created_at] as date/time value: " . var_export($this->created_at, true));
			}
		} else {
			$ts = $this->created_at;
		}
		if ($format === null) {
			return $ts;
		} elseif (strpos($format, '%') !== false) {
			return strftime($format, $ts);
		} else {
			return date($format, $ts);
		}
	}

	
	public function setId($v)
	{

		
		
		if ($v !== null && !is_int($v) && is_numeric($v)) {
			$v = (int) $v;
		}

		if ($this->id !== $v) {
			$this->id = $v;
			$this->modifiedColumns[] = RunnerPeer::ID;
		}

	} 
	
	public function setName($v)
	{

		
		
		if ($v !== null && !is_string($v)) {
			$v = (string) $v; 
		}

		if ($this->name !== $v) {
			$this->name = $v;
			$this->modifiedColumns[] = RunnerPeer::NAME;
		}

	} 
	
	public function setSurname($v)
	{

		
		
		if ($v !== null && !is_string($v)) {
			$v = (string) $v; 
		}

		if ($this->surname !== $v) {
			$this->surname = $v;
			$this->modifiedColumns[] = RunnerPeer::SURNAME;
		}

	} 
	
	public function setNif($v)
	{

		
		
		if ($v !== null && !is_string($v)) {
			$v = (string) $v; 
		}

		if ($this->nif !== $v) {
			$this->nif = $v;
			$this->modifiedColumns[] = RunnerPeer::NIF;
		}

	} 
	
	public function setEmail($v)
	{

		
		
		if ($v !== null && !is_string($v)) {
			$v = (string) $v; 
		}

		if ($this->email !== $v) {
			$this->email = $v;
			$this->modifiedColumns[] = RunnerPeer::EMAIL;
		}

	} 
	
	public function setAddress($v)
	{

		
		
		if ($v !== null && !is_string($v)) {
			$v = (string) $v; 
		}

		if ($this->address !== $v) {
			$this->address = $v;
			$this->modifiedColumns[] = RunnerPeer::ADDRESS;
		}

	} 
	
	public function setPostalCode($v)
	{

		
		
		if ($v !== null && !is_string($v)) {
			$v = (string) $v; 
		}

		if ($this->postal_code !== $v) {
			$this->postal_code = $v;
			$this->modifiedColumns[] = RunnerPeer::POSTAL_CODE;
		}

	} 
	
	public function setCity($v)
	{

		
		
		if ($v !== null && !is_string($v)) {
			$v = (string) $v; 
		}

		if ($this->city !== $v) {
			$this->city = $v;
			$this->modifiedColumns[] = RunnerPeer::CITY;
		}

	} 
	
	public function setRegion($v)
	{

		
		
		if ($v !== null && !is_string($v)) {
			$v = (string) $v; 
		}

		if ($this->region !== $v) {
			$this->region = $v;
			$this->modifiedColumns[] = RunnerPeer::REGION;
		}

	} 
	
	public function setCountry($v)
	{

		
		
		if ($v !== null && !is_string($v)) {
			$v = (string) $v; 
		}

		if ($this->country !== $v) {
			$this->country = $v;
			$this->modifiedColumns[] = RunnerPeer::COUNTRY;
		}

	} 
	
	public function setBornAt($v)
	{

		
		
		if ($v !== null && !is_string($v)) {
			$v = (string) $v; 
		}

		if ($this->born_at !== $v) {
			$this->born_at = $v;
			$this->modifiedColumns[] = RunnerPeer::BORN_AT;
		}

	} 
	
	public function setMale($v)
	{

		if ($this->male !== $v) {
			$this->male = $v;
			$this->modifiedColumns[] = RunnerPeer::MALE;
		}

	} 
	
	public function setClub($v)
	{

		
		
		if ($v !== null && !is_string($v)) {
			$v = (string) $v; 
		}

		if ($this->club !== $v) {
			$this->club = $v;
			$this->modifiedColumns[] = RunnerPeer::CLUB;
		}

	} 
	
	public function setSizeId($v)
	{

		
		
		if ($v !== null && !is_int($v) && is_numeric($v)) {
			$v = (int) $v;
		}

		if ($this->size_id !== $v) {
			$this->size_id = $v;
			$this->modifiedColumns[] = RunnerPeer::SIZE_ID;
		}

		if ($this->aSize !== null && $this->aSize->getId() !== $v) {
			$this->aSize = null;
		}

	} 
	
	public function setFederated($v)
	{

		if ($this->federated !== $v) {
			$this->federated = $v;
			$this->modifiedColumns[] = RunnerPeer::FEDERATED;
		}

	} 
	
	public function setLicenceNumber($v)
	{

		
		
		if ($v !== null && !is_string($v)) {
			$v = (string) $v; 
		}

		if ($this->licence_number !== $v) {
			$this->licence_number = $v;
			$this->modifiedColumns[] = RunnerPeer::LICENCE_NUMBER;
		}

	} 
	
	public function setSport($v)
	{

		
		
		if ($v !== null && !is_string($v)) {
			$v = (string) $v; 
		}

		if ($this->sport !== $v) {
			$this->sport = $v;
			$this->modifiedColumns[] = RunnerPeer::SPORT;
		}

	} 
	
	public function setTelephone($v)
	{

		
		
		if ($v !== null && !is_string($v)) {
			$v = (string) $v; 
		}

		if ($this->telephone !== $v) {
			$this->telephone = $v;
			$this->modifiedColumns[] = RunnerPeer::TELEPHONE;
		}

	} 
	
	public function setNoCompetitive($v)
	{

		if ($this->no_competitive !== $v) {
			$this->no_competitive = $v;
			$this->modifiedColumns[] = RunnerPeer::NO_COMPETITIVE;
		}

	} 
	
	public function setPrice($v)
	{

		if ($this->price !== $v) {
			$this->price = $v;
			$this->modifiedColumns[] = RunnerPeer::PRICE;
		}

	} 
	
	public function setInscriptionId($v)
	{

		
		
		if ($v !== null && !is_int($v) && is_numeric($v)) {
			$v = (int) $v;
		}

		if ($this->inscription_id !== $v) {
			$this->inscription_id = $v;
			$this->modifiedColumns[] = RunnerPeer::INSCRIPTION_ID;
		}

		if ($this->aInscription !== null && $this->aInscription->getId() !== $v) {
			$this->aInscription = null;
		}

	} 
	
	public function setCategoryId($v)
	{

		
		
		if ($v !== null && !is_int($v) && is_numeric($v)) {
			$v = (int) $v;
		}

		if ($this->category_id !== $v) {
			$this->category_id = $v;
			$this->modifiedColumns[] = RunnerPeer::CATEGORY_ID;
		}

		if ($this->aCategory !== null && $this->aCategory->getId() !== $v) {
			$this->aCategory = null;
		}

	} 
	
	public function setNumber($v)
	{

		
		
		if ($v !== null && !is_int($v) && is_numeric($v)) {
			$v = (int) $v;
		}

		if ($this->number !== $v) {
			$this->number = $v;
			$this->modifiedColumns[] = RunnerPeer::NUMBER;
		}

	} 
	
	public function setCreatedAt($v)
	{

		if ($v !== null && !is_int($v)) {
			$ts = strtotime($v);
			if ($ts === -1 || $ts === false) { 				throw new PropelException("Unable to parse date/time value for [created_at] from input: " . var_export($v, true));
			}
		} else {
			$ts = $v;
		}
		if ($this->created_at !== $ts) {
			$this->created_at = $ts;
			$this->modifiedColumns[] = RunnerPeer::CREATED_AT;
		}

	} 
	
	public function hydrate(ResultSet $rs, $startcol = 1)
	{
		try {

			$this->id = $rs->getInt($startcol + 0);

			$this->name = $rs->getString($startcol + 1);

			$this->surname = $rs->getString($startcol + 2);

			$this->nif = $rs->getString($startcol + 3);

			$this->email = $rs->getString($startcol + 4);

			$this->address = $rs->getString($startcol + 5);

			$this->postal_code = $rs->getString($startcol + 6);

			$this->city = $rs->getString($startcol + 7);

			$this->region = $rs->getString($startcol + 8);

			$this->country = $rs->getString($startcol + 9);

			$this->born_at = $rs->getString($startcol + 10);

			$this->male = $rs->getBoolean($startcol + 11);

			$this->club = $rs->getString($startcol + 12);

			$this->size_id = $rs->getInt($startcol + 13);

			$this->federated = $rs->getBoolean($startcol + 14);

			$this->licence_number = $rs->getString($startcol + 15);

			$this->sport = $rs->getString($startcol + 16);

			$this->telephone = $rs->getString($startcol + 17);

			$this->no_competitive = $rs->getBoolean($startcol + 18);

			$this->price = $rs->getFloat($startcol + 19);

			$this->inscription_id = $rs->getInt($startcol + 20);

			$this->category_id = $rs->getInt($startcol + 21);

			$this->number = $rs->getInt($startcol + 22);

			$this->created_at = $rs->getDate($startcol + 23, null);

			$this->resetModified();

			$this->setNew(false);

						return $startcol + 24; 
		} catch (Exception $e) {
			throw new PropelException("Error populating Runner object", $e);
		}
	}

	
	public function delete($con = null)
	{
		if ($this->isDeleted()) {
			throw new PropelException("This object has already been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(RunnerPeer::DATABASE_NAME);
		}

		try {
			$con->begin();
			RunnerPeer::doDelete($this, $con);
			$this->setDeleted(true);
			$con->commit();
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public function save($con = null)
	{
    if ($this->isNew() && !$this->isColumnModified(RunnerPeer::CREATED_AT))
    {
      $this->setCreatedAt(time());
    }

		if ($this->isDeleted()) {
			throw new PropelException("You cannot save an object that has been deleted.");
		}

		if ($con === null) {
			$con = Propel::getConnection(RunnerPeer::DATABASE_NAME);
		}

		try {
			$con->begin();
			$affectedRows = $this->doSave($con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	protected function doSave($con)
	{
		$affectedRows = 0; 		if (!$this->alreadyInSave) {
			$this->alreadyInSave = true;


												
			if ($this->aSize !== null) {
				if ($this->aSize->isModified()) {
					$affectedRows += $this->aSize->save($con);
				}
				$this->setSize($this->aSize);
			}

			if ($this->aInscription !== null) {
				if ($this->aInscription->isModified()) {
					$affectedRows += $this->aInscription->save($con);
				}
				$this->setInscription($this->aInscription);
			}

			if ($this->aCategory !== null) {
				if ($this->aCategory->isModified()) {
					$affectedRows += $this->aCategory->save($con);
				}
				$this->setCategory($this->aCategory);
			}


						if ($this->isModified()) {
				if ($this->isNew()) {
					$pk = RunnerPeer::doInsert($this, $con);
					$affectedRows += 1; 										 										 
					$this->setId($pk);  
					$this->setNew(false);
				} else {
					$affectedRows += RunnerPeer::doUpdate($this, $con);
				}
				$this->resetModified(); 			}

			$this->alreadyInSave = false;
		}
		return $affectedRows;
	} 
	
	protected $validationFailures = array();

	
	public function getValidationFailures()
	{
		return $this->validationFailures;
	}

	
	public function validate($columns = null)
	{
		$res = $this->doValidate($columns);
		if ($res === true) {
			$this->validationFailures = array();
			return true;
		} else {
			$this->validationFailures = $res;
			return false;
		}
	}

	
	protected function doValidate($columns = null)
	{
		if (!$this->alreadyInValidation) {
			$this->alreadyInValidation = true;
			$retval = null;

			$failureMap = array();


												
			if ($this->aSize !== null) {
				if (!$this->aSize->validate($columns)) {
					$failureMap = array_merge($failureMap, $this->aSize->getValidationFailures());
				}
			}

			if ($this->aInscription !== null) {
				if (!$this->aInscription->validate($columns)) {
					$failureMap = array_merge($failureMap, $this->aInscription->getValidationFailures());
				}
			}

			if ($this->aCategory !== null) {
				if (!$this->aCategory->validate($columns)) {
					$failureMap = array_merge($failureMap, $this->aCategory->getValidationFailures());
				}
			}


			if (($retval = RunnerPeer::doValidate($this, $columns)) !== true) {
				$failureMap = array_merge($failureMap, $retval);
			}



			$this->alreadyInValidation = false;
		}

		return (!empty($failureMap) ? $failureMap : true);
	}

	
	public function getByName($name, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = RunnerPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		return $this->getByPosition($pos);
	}

	
	public function getByPosition($pos)
	{
		switch($pos) {
			case 0:
				return $this->getId();
				break;
			case 1:
				return $this->getName();
				break;
			case 2:
				return $this->getSurname();
				break;
			case 3:
				return $this->getNif();
				break;
			case 4:
				return $this->getEmail();
				break;
			case 5:
				return $this->getAddress();
				break;
			case 6:
				return $this->getPostalCode();
				break;
			case 7:
				return $this->getCity();
				break;
			case 8:
				return $this->getRegion();
				break;
			case 9:
				return $this->getCountry();
				break;
			case 10:
				return $this->getBornAt();
				break;
			case 11:
				return $this->getMale();
				break;
			case 12:
				return $this->getClub();
				break;
			case 13:
				return $this->getSizeId();
				break;
			case 14:
				return $this->getFederated();
				break;
			case 15:
				return $this->getLicenceNumber();
				break;
			case 16:
				return $this->getSport();
				break;
			case 17:
				return $this->getTelephone();
				break;
			case 18:
				return $this->getNoCompetitive();
				break;
			case 19:
				return $this->getPrice();
				break;
			case 20:
				return $this->getInscriptionId();
				break;
			case 21:
				return $this->getCategoryId();
				break;
			case 22:
				return $this->getNumber();
				break;
			case 23:
				return $this->getCreatedAt();
				break;
			default:
				return null;
				break;
		} 	}

	
	public function toArray($keyType = BasePeer::TYPE_PHPNAME)
	{
		$keys = RunnerPeer::getFieldNames($keyType);
		$result = array(
			$keys[0] => $this->getId(),
			$keys[1] => $this->getName(),
			$keys[2] => $this->getSurname(),
			$keys[3] => $this->getNif(),
			$keys[4] => $this->getEmail(),
			$keys[5] => $this->getAddress(),
			$keys[6] => $this->getPostalCode(),
			$keys[7] => $this->getCity(),
			$keys[8] => $this->getRegion(),
			$keys[9] => $this->getCountry(),
			$keys[10] => $this->getBornAt(),
			$keys[11] => $this->getMale(),
			$keys[12] => $this->getClub(),
			$keys[13] => $this->getSizeId(),
			$keys[14] => $this->getFederated(),
			$keys[15] => $this->getLicenceNumber(),
			$keys[16] => $this->getSport(),
			$keys[17] => $this->getTelephone(),
			$keys[18] => $this->getNoCompetitive(),
			$keys[19] => $this->getPrice(),
			$keys[20] => $this->getInscriptionId(),
			$keys[21] => $this->getCategoryId(),
			$keys[22] => $this->getNumber(),
			$keys[23] => $this->getCreatedAt(),
		);
		return $result;
	}

	
	public function setByName($name, $value, $type = BasePeer::TYPE_PHPNAME)
	{
		$pos = RunnerPeer::translateFieldName($name, $type, BasePeer::TYPE_NUM);
		return $this->setByPosition($pos, $value);
	}

	
	public function setByPosition($pos, $value)
	{
		switch($pos) {
			case 0:
				$this->setId($value);
				break;
			case 1:
				$this->setName($value);
				break;
			case 2:
				$this->setSurname($value);
				break;
			case 3:
				$this->setNif($value);
				break;
			case 4:
				$this->setEmail($value);
				break;
			case 5:
				$this->setAddress($value);
				break;
			case 6:
				$this->setPostalCode($value);
				break;
			case 7:
				$this->setCity($value);
				break;
			case 8:
				$this->setRegion($value);
				break;
			case 9:
				$this->setCountry($value);
				break;
			case 10:
				$this->setBornAt($value);
				break;
			case 11:
				$this->setMale($value);
				break;
			case 12:
				$this->setClub($value);
				break;
			case 13:
				$this->setSizeId($value);
				break;
			case 14:
				$this->setFederated($value);
				break;
			case 15:
				$this->setLicenceNumber($value);
				break;
			case 16:
				$this->setSport($value);
				break;
			case 17:
				$this->setTelephone($value);
				break;
			case 18:
				$this->setNoCompetitive($value);
				break;
			case 19:
				$this->setPrice($value);
				break;
			case 20:
				$this->setInscriptionId($value);
				break;
			case 21:
				$this->setCategoryId($value);
				break;
			case 22:
				$this->setNumber($value);
				break;
			case 23:
				$this->setCreatedAt($value);
				break;
		} 	}

	
	public function fromArray($arr, $keyType = BasePeer::TYPE_PHPNAME)
	{
		$keys = RunnerPeer::getFieldNames($keyType);

		if (array_key_exists($keys[0], $arr)) $this->setId($arr[$keys[0]]);
		if (array_key_exists($keys[1], $arr)) $this->setName($arr[$keys[1]]);
		if (array_key_exists($keys[2], $arr)) $this->setSurname($arr[$keys[2]]);
		if (array_key_exists($keys[3], $arr)) $this->setNif($arr[$keys[3]]);
		if (array_key_exists($keys[4], $arr)) $this->setEmail($arr[$keys[4]]);
		if (array_key_exists($keys[5], $arr)) $this->setAddress($arr[$keys[5]]);
		if (array_key_exists($keys[6], $arr)) $this->setPostalCode($arr[$keys[6]]);
		if (array_key_exists($keys[7], $arr)) $this->setCity($arr[$keys[7]]);
		if (array_key_exists($keys[8], $arr)) $this->setRegion($arr[$keys[8]]);
		if (array_key_exists($keys[9], $arr)) $this->setCountry($arr[$keys[9]]);
		if (array_key_exists($keys[10], $arr)) $this->setBornAt($arr[$keys[10]]);
		if (array_key_exists($keys[11], $arr)) $this->setMale($arr[$keys[11]]);
		if (array_key_exists($keys[12], $arr)) $this->setClub($arr[$keys[12]]);
		if (array_key_exists($keys[13], $arr)) $this->setSizeId($arr[$keys[13]]);
		if (array_key_exists($keys[14], $arr)) $this->setFederated($arr[$keys[14]]);
		if (array_key_exists($keys[15], $arr)) $this->setLicenceNumber($arr[$keys[15]]);
		if (array_key_exists($keys[16], $arr)) $this->setSport($arr[$keys[16]]);
		if (array_key_exists($keys[17], $arr)) $this->setTelephone($arr[$keys[17]]);
		if (array_key_exists($keys[18], $arr)) $this->setNoCompetitive($arr[$keys[18]]);
		if (array_key_exists($keys[19], $arr)) $this->setPrice($arr[$keys[19]]);
		if (array_key_exists($keys[20], $arr)) $this->setInscriptionId($arr[$keys[20]]);
		if (array_key_exists($keys[21], $arr)) $this->setCategoryId($arr[$keys[21]]);
		if (array_key_exists($keys[22], $arr)) $this->setNumber($arr[$keys[22]]);
		if (array_key_exists($keys[23], $arr)) $this->setCreatedAt($arr[$keys[23]]);
	}

	
	public function buildCriteria()
	{
		$criteria = new Criteria(RunnerPeer::DATABASE_NAME);

		if ($this->isColumnModified(RunnerPeer::ID)) $criteria->add(RunnerPeer::ID, $this->id);
		if ($this->isColumnModified(RunnerPeer::NAME)) $criteria->add(RunnerPeer::NAME, $this->name);
		if ($this->isColumnModified(RunnerPeer::SURNAME)) $criteria->add(RunnerPeer::SURNAME, $this->surname);
		if ($this->isColumnModified(RunnerPeer::NIF)) $criteria->add(RunnerPeer::NIF, $this->nif);
		if ($this->isColumnModified(RunnerPeer::EMAIL)) $criteria->add(RunnerPeer::EMAIL, $this->email);
		if ($this->isColumnModified(RunnerPeer::ADDRESS)) $criteria->add(RunnerPeer::ADDRESS, $this->address);
		if ($this->isColumnModified(RunnerPeer::POSTAL_CODE)) $criteria->add(RunnerPeer::POSTAL_CODE, $this->postal_code);
		if ($this->isColumnModified(RunnerPeer::CITY)) $criteria->add(RunnerPeer::CITY, $this->city);
		if ($this->isColumnModified(RunnerPeer::REGION)) $criteria->add(RunnerPeer::REGION, $this->region);
		if ($this->isColumnModified(RunnerPeer::COUNTRY)) $criteria->add(RunnerPeer::COUNTRY, $this->country);
		if ($this->isColumnModified(RunnerPeer::BORN_AT)) $criteria->add(RunnerPeer::BORN_AT, $this->born_at);
		if ($this->isColumnModified(RunnerPeer::MALE)) $criteria->add(RunnerPeer::MALE, $this->male);
		if ($this->isColumnModified(RunnerPeer::CLUB)) $criteria->add(RunnerPeer::CLUB, $this->club);
		if ($this->isColumnModified(RunnerPeer::SIZE_ID)) $criteria->add(RunnerPeer::SIZE_ID, $this->size_id);
		if ($this->isColumnModified(RunnerPeer::FEDERATED)) $criteria->add(RunnerPeer::FEDERATED, $this->federated);
		if ($this->isColumnModified(RunnerPeer::LICENCE_NUMBER)) $criteria->add(RunnerPeer::LICENCE_NUMBER, $this->licence_number);
		if ($this->isColumnModified(RunnerPeer::SPORT)) $criteria->add(RunnerPeer::SPORT, $this->sport);
		if ($this->isColumnModified(RunnerPeer::TELEPHONE)) $criteria->add(RunnerPeer::TELEPHONE, $this->telephone);
		if ($this->isColumnModified(RunnerPeer::NO_COMPETITIVE)) $criteria->add(RunnerPeer::NO_COMPETITIVE, $this->no_competitive);
		if ($this->isColumnModified(RunnerPeer::PRICE)) $criteria->add(RunnerPeer::PRICE, $this->price);
		if ($this->isColumnModified(RunnerPeer::INSCRIPTION_ID)) $criteria->add(RunnerPeer::INSCRIPTION_ID, $this->inscription_id);
		if ($this->isColumnModified(RunnerPeer::CATEGORY_ID)) $criteria->add(RunnerPeer::CATEGORY_ID, $this->category_id);
		if ($this->isColumnModified(RunnerPeer::NUMBER)) $criteria->add(RunnerPeer::NUMBER, $this->number);
		if ($this->isColumnModified(RunnerPeer::CREATED_AT)) $criteria->add(RunnerPeer::CREATED_AT, $this->created_at);

		return $criteria;
	}

	
	public function buildPkeyCriteria()
	{
		$criteria = new Criteria(RunnerPeer::DATABASE_NAME);

		$criteria->add(RunnerPeer::ID, $this->id);

		return $criteria;
	}

	
	public function getPrimaryKey()
	{
		return $this->getId();
	}

	
	public function setPrimaryKey($key)
	{
		$this->setId($key);
	}

	
	public function copyInto($copyObj, $deepCopy = false)
	{

		$copyObj->setName($this->name);

		$copyObj->setSurname($this->surname);

		$copyObj->setNif($this->nif);

		$copyObj->setEmail($this->email);

		$copyObj->setAddress($this->address);

		$copyObj->setPostalCode($this->postal_code);

		$copyObj->setCity($this->city);

		$copyObj->setRegion($this->region);

		$copyObj->setCountry($this->country);

		$copyObj->setBornAt($this->born_at);

		$copyObj->setMale($this->male);

		$copyObj->setClub($this->club);

		$copyObj->setSizeId($this->size_id);

		$copyObj->setFederated($this->federated);

		$copyObj->setLicenceNumber($this->licence_number);

		$copyObj->setSport($this->sport);

		$copyObj->setTelephone($this->telephone);

		$copyObj->setNoCompetitive($this->no_competitive);

		$copyObj->setPrice($this->price);

		$copyObj->setInscriptionId($this->inscription_id);

		$copyObj->setCategoryId($this->category_id);

		$copyObj->setNumber($this->number);

		$copyObj->setCreatedAt($this->created_at);


		$copyObj->setNew(true);

		$copyObj->setId(NULL); 
	}

	
	public function copy($deepCopy = false)
	{
				$clazz = get_class($this);
		$copyObj = new $clazz();
		$this->copyInto($copyObj, $deepCopy);
		return $copyObj;
	}

	
	public function getPeer()
	{
		if (self::$peer === null) {
			self::$peer = new RunnerPeer();
		}
		return self::$peer;
	}

	
	public function setSize($v)
	{


		if ($v === null) {
			$this->setSizeId(NULL);
		} else {
			$this->setSizeId($v->getId());
		}


		$this->aSize = $v;
	}


	
	public function getSize($con = null)
	{
		if ($this->aSize === null && ($this->size_id !== null)) {
						include_once 'lib/model/om/BaseSizePeer.php';

			$this->aSize = SizePeer::retrieveByPK($this->size_id, $con);

			
		}
		return $this->aSize;
	}

	
	public function setInscription($v)
	{


		if ($v === null) {
			$this->setInscriptionId(NULL);
		} else {
			$this->setInscriptionId($v->getId());
		}


		$this->aInscription = $v;
	}


	
	public function getInscription($con = null)
	{
		if ($this->aInscription === null && ($this->inscription_id !== null)) {
						include_once 'lib/model/om/BaseInscriptionPeer.php';

			$this->aInscription = InscriptionPeer::retrieveByPK($this->inscription_id, $con);

			
		}
		return $this->aInscription;
	}

	
	public function setCategory($v)
	{


		if ($v === null) {
			$this->setCategoryId(NULL);
		} else {
			$this->setCategoryId($v->getId());
		}


		$this->aCategory = $v;
	}


	
	public function getCategory($con = null)
	{
		if ($this->aCategory === null && ($this->category_id !== null)) {
						include_once 'lib/model/om/BaseCategoryPeer.php';

			$this->aCategory = CategoryPeer::retrieveByPK($this->category_id, $con);

			
		}
		return $this->aCategory;
	}

} 