<?php


abstract class BaseRunnerPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'runner';

	
	const CLASS_DEFAULT = 'lib.model.Runner';

	
	const NUM_COLUMNS = 24;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const ID = 'runner.ID';

	
	const NAME = 'runner.NAME';

	
	const SURNAME = 'runner.SURNAME';

	
	const NIF = 'runner.NIF';

	
	const EMAIL = 'runner.EMAIL';

	
	const ADDRESS = 'runner.ADDRESS';

	
	const POSTAL_CODE = 'runner.POSTAL_CODE';

	
	const CITY = 'runner.CITY';

	
	const REGION = 'runner.REGION';

	
	const COUNTRY = 'runner.COUNTRY';

	
	const BORN_AT = 'runner.BORN_AT';

	
	const MALE = 'runner.MALE';

	
	const CLUB = 'runner.CLUB';

	
	const SIZE_ID = 'runner.SIZE_ID';

	
	const FEDERATED = 'runner.FEDERATED';

	
	const LICENCE_NUMBER = 'runner.LICENCE_NUMBER';

	
	const SPORT = 'runner.SPORT';

	
	const TELEPHONE = 'runner.TELEPHONE';

	
	const NO_COMPETITIVE = 'runner.NO_COMPETITIVE';

	
	const PRICE = 'runner.PRICE';

	
	const INSCRIPTION_ID = 'runner.INSCRIPTION_ID';

	
	const CATEGORY_ID = 'runner.CATEGORY_ID';

	
	const NUMBER = 'runner.NUMBER';

	
	const CREATED_AT = 'runner.CREATED_AT';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Id', 'Name', 'Surname', 'Nif', 'Email', 'Address', 'PostalCode', 'City', 'Region', 'Country', 'BornAt', 'Male', 'Club', 'SizeId', 'Federated', 'LicenceNumber', 'Sport', 'Telephone', 'NoCompetitive', 'Price', 'InscriptionId', 'CategoryId', 'Number', 'CreatedAt', ),
		BasePeer::TYPE_COLNAME => array (RunnerPeer::ID, RunnerPeer::NAME, RunnerPeer::SURNAME, RunnerPeer::NIF, RunnerPeer::EMAIL, RunnerPeer::ADDRESS, RunnerPeer::POSTAL_CODE, RunnerPeer::CITY, RunnerPeer::REGION, RunnerPeer::COUNTRY, RunnerPeer::BORN_AT, RunnerPeer::MALE, RunnerPeer::CLUB, RunnerPeer::SIZE_ID, RunnerPeer::FEDERATED, RunnerPeer::LICENCE_NUMBER, RunnerPeer::SPORT, RunnerPeer::TELEPHONE, RunnerPeer::NO_COMPETITIVE, RunnerPeer::PRICE, RunnerPeer::INSCRIPTION_ID, RunnerPeer::CATEGORY_ID, RunnerPeer::NUMBER, RunnerPeer::CREATED_AT, ),
		BasePeer::TYPE_FIELDNAME => array ('id', 'name', 'surname', 'nif', 'email', 'address', 'postal_code', 'city', 'region', 'country', 'born_at', 'male', 'club', 'size_id', 'federated', 'licence_number', 'sport', 'telephone', 'no_competitive', 'price', 'inscription_id', 'category_id', 'number', 'created_at', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Id' => 0, 'Name' => 1, 'Surname' => 2, 'Nif' => 3, 'Email' => 4, 'Address' => 5, 'PostalCode' => 6, 'City' => 7, 'Region' => 8, 'Country' => 9, 'BornAt' => 10, 'Male' => 11, 'Club' => 12, 'SizeId' => 13, 'Federated' => 14, 'LicenceNumber' => 15, 'Sport' => 16, 'Telephone' => 17, 'NoCompetitive' => 18, 'Price' => 19, 'InscriptionId' => 20, 'CategoryId' => 21, 'Number' => 22, 'CreatedAt' => 23, ),
		BasePeer::TYPE_COLNAME => array (RunnerPeer::ID => 0, RunnerPeer::NAME => 1, RunnerPeer::SURNAME => 2, RunnerPeer::NIF => 3, RunnerPeer::EMAIL => 4, RunnerPeer::ADDRESS => 5, RunnerPeer::POSTAL_CODE => 6, RunnerPeer::CITY => 7, RunnerPeer::REGION => 8, RunnerPeer::COUNTRY => 9, RunnerPeer::BORN_AT => 10, RunnerPeer::MALE => 11, RunnerPeer::CLUB => 12, RunnerPeer::SIZE_ID => 13, RunnerPeer::FEDERATED => 14, RunnerPeer::LICENCE_NUMBER => 15, RunnerPeer::SPORT => 16, RunnerPeer::TELEPHONE => 17, RunnerPeer::NO_COMPETITIVE => 18, RunnerPeer::PRICE => 19, RunnerPeer::INSCRIPTION_ID => 20, RunnerPeer::CATEGORY_ID => 21, RunnerPeer::NUMBER => 22, RunnerPeer::CREATED_AT => 23, ),
		BasePeer::TYPE_FIELDNAME => array ('id' => 0, 'name' => 1, 'surname' => 2, 'nif' => 3, 'email' => 4, 'address' => 5, 'postal_code' => 6, 'city' => 7, 'region' => 8, 'country' => 9, 'born_at' => 10, 'male' => 11, 'club' => 12, 'size_id' => 13, 'federated' => 14, 'licence_number' => 15, 'sport' => 16, 'telephone' => 17, 'no_competitive' => 18, 'price' => 19, 'inscription_id' => 20, 'category_id' => 21, 'number' => 22, 'created_at' => 23, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, )
	);

	
	public static function getMapBuilder()
	{
		include_once 'lib/model/map/RunnerMapBuilder.php';
		return BasePeer::getMapBuilder('lib.model.map.RunnerMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = RunnerPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(RunnerPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(RunnerPeer::ID);

		$criteria->addSelectColumn(RunnerPeer::NAME);

		$criteria->addSelectColumn(RunnerPeer::SURNAME);

		$criteria->addSelectColumn(RunnerPeer::NIF);

		$criteria->addSelectColumn(RunnerPeer::EMAIL);

		$criteria->addSelectColumn(RunnerPeer::ADDRESS);

		$criteria->addSelectColumn(RunnerPeer::POSTAL_CODE);

		$criteria->addSelectColumn(RunnerPeer::CITY);

		$criteria->addSelectColumn(RunnerPeer::REGION);

		$criteria->addSelectColumn(RunnerPeer::COUNTRY);

		$criteria->addSelectColumn(RunnerPeer::BORN_AT);

		$criteria->addSelectColumn(RunnerPeer::MALE);

		$criteria->addSelectColumn(RunnerPeer::CLUB);

		$criteria->addSelectColumn(RunnerPeer::SIZE_ID);

		$criteria->addSelectColumn(RunnerPeer::FEDERATED);

		$criteria->addSelectColumn(RunnerPeer::LICENCE_NUMBER);

		$criteria->addSelectColumn(RunnerPeer::SPORT);

		$criteria->addSelectColumn(RunnerPeer::TELEPHONE);

		$criteria->addSelectColumn(RunnerPeer::NO_COMPETITIVE);

		$criteria->addSelectColumn(RunnerPeer::PRICE);

		$criteria->addSelectColumn(RunnerPeer::INSCRIPTION_ID);

		$criteria->addSelectColumn(RunnerPeer::CATEGORY_ID);

		$criteria->addSelectColumn(RunnerPeer::NUMBER);

		$criteria->addSelectColumn(RunnerPeer::CREATED_AT);

	}

	const COUNT = 'COUNT(runner.ID)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT runner.ID)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(RunnerPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(RunnerPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = RunnerPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = RunnerPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return RunnerPeer::populateObjects(RunnerPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			RunnerPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = RunnerPeer::getOMClass();
		$cls = Propel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinSize(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(RunnerPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(RunnerPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(RunnerPeer::SIZE_ID, SizePeer::ID);

		$rs = RunnerPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinInscription(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(RunnerPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(RunnerPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(RunnerPeer::INSCRIPTION_ID, InscriptionPeer::ID);

		$rs = RunnerPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinCategory(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(RunnerPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(RunnerPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(RunnerPeer::CATEGORY_ID, CategoryPeer::ID);

		$rs = RunnerPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinSize(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		RunnerPeer::addSelectColumns($c);
		$startcol = (RunnerPeer::NUM_COLUMNS - RunnerPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		SizePeer::addSelectColumns($c);

		$c->addJoin(RunnerPeer::SIZE_ID, SizePeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = RunnerPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = SizePeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getSize(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addRunner($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initRunners();
				$obj2->addRunner($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinInscription(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		RunnerPeer::addSelectColumns($c);
		$startcol = (RunnerPeer::NUM_COLUMNS - RunnerPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		InscriptionPeer::addSelectColumns($c);

		$c->addJoin(RunnerPeer::INSCRIPTION_ID, InscriptionPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = RunnerPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = InscriptionPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getInscription(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addRunner($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initRunners();
				$obj2->addRunner($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinCategory(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		RunnerPeer::addSelectColumns($c);
		$startcol = (RunnerPeer::NUM_COLUMNS - RunnerPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		CategoryPeer::addSelectColumns($c);

		$c->addJoin(RunnerPeer::CATEGORY_ID, CategoryPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = RunnerPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = CategoryPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getCategory(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addRunner($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initRunners();
				$obj2->addRunner($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(RunnerPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(RunnerPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(RunnerPeer::SIZE_ID, SizePeer::ID);

		$criteria->addJoin(RunnerPeer::INSCRIPTION_ID, InscriptionPeer::ID);

		$criteria->addJoin(RunnerPeer::CATEGORY_ID, CategoryPeer::ID);

		$rs = RunnerPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		RunnerPeer::addSelectColumns($c);
		$startcol2 = (RunnerPeer::NUM_COLUMNS - RunnerPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		SizePeer::addSelectColumns($c);
		$startcol3 = $startcol2 + SizePeer::NUM_COLUMNS;

		InscriptionPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + InscriptionPeer::NUM_COLUMNS;

		CategoryPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + CategoryPeer::NUM_COLUMNS;

		$c->addJoin(RunnerPeer::SIZE_ID, SizePeer::ID);

		$c->addJoin(RunnerPeer::INSCRIPTION_ID, InscriptionPeer::ID);

		$c->addJoin(RunnerPeer::CATEGORY_ID, CategoryPeer::ID);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = RunnerPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = SizePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getSize(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addRunner($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initRunners();
				$obj2->addRunner($obj1);
			}


					
			$omClass = InscriptionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3 = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getInscription(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addRunner($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj3->initRunners();
				$obj3->addRunner($obj1);
			}


					
			$omClass = CategoryPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj4 = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getCategory(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addRunner($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj4->initRunners();
				$obj4->addRunner($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAllExceptSize(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(RunnerPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(RunnerPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(RunnerPeer::INSCRIPTION_ID, InscriptionPeer::ID);

		$criteria->addJoin(RunnerPeer::CATEGORY_ID, CategoryPeer::ID);

		$rs = RunnerPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptInscription(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(RunnerPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(RunnerPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(RunnerPeer::SIZE_ID, SizePeer::ID);

		$criteria->addJoin(RunnerPeer::CATEGORY_ID, CategoryPeer::ID);

		$rs = RunnerPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptCategory(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(RunnerPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(RunnerPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(RunnerPeer::SIZE_ID, SizePeer::ID);

		$criteria->addJoin(RunnerPeer::INSCRIPTION_ID, InscriptionPeer::ID);

		$rs = RunnerPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAllExceptSize(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		RunnerPeer::addSelectColumns($c);
		$startcol2 = (RunnerPeer::NUM_COLUMNS - RunnerPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		InscriptionPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + InscriptionPeer::NUM_COLUMNS;

		CategoryPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + CategoryPeer::NUM_COLUMNS;

		$c->addJoin(RunnerPeer::INSCRIPTION_ID, InscriptionPeer::ID);

		$c->addJoin(RunnerPeer::CATEGORY_ID, CategoryPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = RunnerPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = InscriptionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getInscription(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addRunner($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initRunners();
				$obj2->addRunner($obj1);
			}

			$omClass = CategoryPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getCategory(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addRunner($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initRunners();
				$obj3->addRunner($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptInscription(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		RunnerPeer::addSelectColumns($c);
		$startcol2 = (RunnerPeer::NUM_COLUMNS - RunnerPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		SizePeer::addSelectColumns($c);
		$startcol3 = $startcol2 + SizePeer::NUM_COLUMNS;

		CategoryPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + CategoryPeer::NUM_COLUMNS;

		$c->addJoin(RunnerPeer::SIZE_ID, SizePeer::ID);

		$c->addJoin(RunnerPeer::CATEGORY_ID, CategoryPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = RunnerPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = SizePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getSize(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addRunner($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initRunners();
				$obj2->addRunner($obj1);
			}

			$omClass = CategoryPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getCategory(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addRunner($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initRunners();
				$obj3->addRunner($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptCategory(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		RunnerPeer::addSelectColumns($c);
		$startcol2 = (RunnerPeer::NUM_COLUMNS - RunnerPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		SizePeer::addSelectColumns($c);
		$startcol3 = $startcol2 + SizePeer::NUM_COLUMNS;

		InscriptionPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + InscriptionPeer::NUM_COLUMNS;

		$c->addJoin(RunnerPeer::SIZE_ID, SizePeer::ID);

		$c->addJoin(RunnerPeer::INSCRIPTION_ID, InscriptionPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = RunnerPeer::getOMClass();

			$cls = Propel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = SizePeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getSize(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addRunner($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initRunners();
				$obj2->addRunner($obj1);
			}

			$omClass = InscriptionPeer::getOMClass();


			$cls = Propel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getInscription(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addRunner($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initRunners();
				$obj3->addRunner($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}

	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return RunnerPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}

		$criteria->remove(RunnerPeer::ID); 

				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(RunnerPeer::ID);
			$selectCriteria->add(RunnerPeer::ID, $criteria->remove(RunnerPeer::ID), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(RunnerPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(RunnerPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof Runner) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
			$criteria->add(RunnerPeer::ID, (array) $values, Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(Runner $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(RunnerPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(RunnerPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(RunnerPeer::DATABASE_NAME, RunnerPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = RunnerPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK($pk, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$criteria = new Criteria(RunnerPeer::DATABASE_NAME);

		$criteria->add(RunnerPeer::ID, $pk);


		$v = RunnerPeer::doSelect($criteria, $con);

		return !empty($v) > 0 ? $v[0] : null;
	}

	
	public static function retrieveByPKs($pks, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$objs = null;
		if (empty($pks)) {
			$objs = array();
		} else {
			$criteria = new Criteria();
			$criteria->add(RunnerPeer::ID, $pks, Criteria::IN);
			$objs = RunnerPeer::doSelect($criteria, $con);
		}
		return $objs;
	}

} 
if (Propel::isInit()) {
			try {
		BaseRunnerPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			require_once 'lib/model/map/RunnerMapBuilder.php';
	Propel::registerMapBuilder('lib.model.map.RunnerMapBuilder');
}
